Class | Spec::Runner::Formatter::HtmlFormatter
In: | lib/spec/runner/formatter/html_formatter.rb
Parent: | BaseTextFormatter

### Methods

add_example_group dump_failure dump_summary example_failed example_group_number example_number example_passed example_pending example_started extra_failure_content global_scripts global_styles html_header method_missing move_progress new percent_done report_header start start_dump

### Included Modules

ERB::Util

### Public Class methods

new(options, output)

### Public Instance methods

add_example_group(example_group)
dump_failure(counter, failure)
dump_summary(duration, example_count, failure_count, pending_count)
example_failed(example, counter, failure)
example_group_number()

The number of the currently running example_group

example_number()

The number of the currently running example (a global counter)

example_passed(example)
example_pending(example, message, pending_caller)
example_started(example)
extra_failure_content(failure)

Override this method if you wish to output extra HTML for a failed spec. For example, you could output links to images or other files produced during the specs.

global_scripts()
global_styles()
html_header()
method_missing(sym, *args)
move_progress()
percent_done()
report_header()
start(example_count)
start_dump()

[Validate]